:host {
  --cat-desc-font-size: 14px;
  --cat-desc-height: 168px; /* line-height * number of required lines =  24px * 7 */
  --cat-desc-line-height: 24px;
}

#prod-cat-list {
  display: grid;
  grid-template-columns: 100%;
  grid-row-gap: 6px;
  list-style-type: none;
}

.img-n-category-wrap {
  display: grid;
  padding: 8px;
  background-color: var(--app-colour50);
}

.img-n-category-wrap h3 {
  font-weight: bold;
}

.img-n-category-wrap:hover {
  font-weight: bold;
  text-decoration: underline;
  cursor: pointer;
  color: var(--primary-colour800);
}

p {
  margin-bottom: 0;
}

.desc-n-ellipsis-wrap {
  display: none;
}

/*region Mobile */

@media screen and (max-width: 330px) {
  .img-wrap {
    /*Centre img within img-n-category-wrap*/
    display: flex;
    justify-content: center;
  }
}

@media screen and (min-width: 331px) and (max-width: 450px) {
  #prod-cat-list {
    grid-row-gap: 6px;
  }

  .img-n-category-wrap {
    grid-template-columns: max-content auto;
    grid-column-gap: 16px;
  }

  .img-n-category-wrap h3 {
    display: flex;
    align-items: flex-end;
  }

  img {
    object-fit: cover;
    /* width: 100%;*/
  }
}

/*endregion*/

/*region Tablet and Desktop*/
@media screen and (min-width: 451px) {
  .prod-cat-card {
    display: grid;
    grid-template-columns: max-content auto;
    grid-column-gap: 12px;
  }

  .img-n-category-wrap {
    height: min-content;
  }

  p.cat-desc {
    display: block;
    /* white-space and overflow are required for text-overflow */
    overflow: hidden;

    font-size: var(--cat-desc-font-size);
    height: var(--cat-desc-height); /* line-height * number of required lines =  24px * 7 */
    line-height: var(--cat-desc-line-height);
  }

  /*region Category desc + ellipsis layering */
  .desc-n-ellipsis-wrap {
    display: grid; /*used to facilitate overlapping of desc and ellipsis elements*/
    max-width: 650px;
  }

  .cat-desc, .desc-ellipsis-wrap {
    grid-column: 1;
    grid-row: 1;
  }

  .desc-ellipsis-wrap {
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    z-index: 2;

    /*Having the same values as with "cat-desc" is important to ensure that
    ellipsis trails at the same level*/
    font-size: var(--cat-desc-font-size);
    height: var(--cat-desc-height); /* line-height * number of required lines =  24px * 7 */
    line-height: var(--cat-desc-line-height);
  }

  .desc-ellipsis {
    min-width: 48px;
    background-color: white;
  }
  /*endregion*/
}

/*endregion*/

/*region Tablet */

@media screen and (min-width: 451px) and (max-width: 900px) {
  #prod-cat-list {
    grid-row-gap: 12px;
  }
}

/*endregion*/

@media screen and (min-width: 901px) {
  /**/
  #prod-cat-list {
    grid-template-columns: 50% 50% !important;
    grid-column-gap: 12px;
    grid-row-gap: 12px;
  }

  .img-n-category-wrap {
    width: min-content;
  }
}
